org.apache.lucene.analysis.el

## Class GreekAnalyzer

- java.lang.Object
- - org.apache.lucene.analysis.Analyzer
  - - org.apache.lucene.analysis.el.GreekAnalyzer

-     public final class GreekAnalyzer
      extends org.apache.lucene.analysis.Analyzer

  `Analyzer` for the Greek language.

  Supports an external list of stopwords (words that will not be indexed at all). A default set of stopwords is used unless an alternative list is specified.

  NOTE: This class uses the same `Version` dependent settings as `StandardAnalyzer`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.lucene.analysis.Analyzer

      `overridesTokenStreamMethod`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GreekAnalyzer()` Deprecated. Use `GreekAnalyzer(Version)` instead
    `GreekAnalyzer(char[] charset)` Deprecated. Use `GreekAnalyzer(Version)` instead.
    `GreekAnalyzer(char[] charset, java.util.Map stopwords)` Deprecated. Use `GreekAnalyzer(Version, Map)` instead.
    `GreekAnalyzer(char[] charset, java.lang.String[] stopwords)` Deprecated. Use `GreekAnalyzer(Version, String[])` instead.
    `GreekAnalyzer(java.util.Map stopwords)` Deprecated. Use `GreekAnalyzer(Version,Map)` instead
    `GreekAnalyzer(java.lang.String[] stopwords)` Deprecated. Use `GreekAnalyzer(Version, String[])` instead
    `GreekAnalyzer(org.apache.lucene.util.Version matchVersion)`
    `GreekAnalyzer(org.apache.lucene.util.Version matchVersion, java.util.Map stopwords)` Builds an analyzer with the given stop words.
    `GreekAnalyzer(org.apache.lucene.util.Version matchVersion, java.lang.String[] stopwords)` Builds an analyzer with the given stop words.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.lucene.analysis.TokenStream` | `reusableTokenStream(java.lang.String fieldName, java.io.Reader reader)` Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
    `org.apache.lucene.analysis.TokenStream` | `tokenStream(java.lang.String fieldName, java.io.Reader reader)` Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.

    - ### Methods inherited from class org.apache.lucene.analysis.Analyzer

      `close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setOverridesTokenStreamMethod, setPreviousTokenStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GreekAnalyzer

          public GreekAnalyzer()

      Deprecated. Use `GreekAnalyzer(Version)` instead

    - #### GreekAnalyzer

          public GreekAnalyzer(org.apache.lucene.util.Version matchVersion)

    - #### GreekAnalyzer

          public GreekAnalyzer(char[] charset)

      Deprecated. Use `GreekAnalyzer(Version)` instead.
      Builds an analyzer.

    - #### GreekAnalyzer

          public GreekAnalyzer(java.lang.String[] stopwords)

      Deprecated. Use `GreekAnalyzer(Version, String[])` instead
      Builds an analyzer with the given stop words.
      Parameters:
        `stopwords` - Array of stopwords to use.

    - #### GreekAnalyzer

          public GreekAnalyzer(org.apache.lucene.util.Version matchVersion,
                               java.lang.String[] stopwords)

      Builds an analyzer with the given stop words.
      Parameters:
        `stopwords` - Array of stopwords to use.

    - #### GreekAnalyzer

          public GreekAnalyzer(char[] charset,
                               java.lang.String[] stopwords)

      Deprecated. Use `GreekAnalyzer(Version, String[])` instead.
      Builds an analyzer with the given stop words.

    - #### GreekAnalyzer

          public GreekAnalyzer(char[] charset,
                               java.util.Map stopwords)

      Deprecated. Use `GreekAnalyzer(Version, Map)` instead.
      Builds an analyzer with the given stop words.

    - #### GreekAnalyzer

          public GreekAnalyzer(java.util.Map stopwords)

      Deprecated. Use `GreekAnalyzer(Version,Map)` instead
      Builds an analyzer with the given stop words.

    - #### GreekAnalyzer

          public GreekAnalyzer(org.apache.lucene.util.Version matchVersion,
                               java.util.Map stopwords)

      Builds an analyzer with the given stop words.

  - ### Method Detail

    - #### tokenStream

          public org.apache.lucene.analysis.TokenStream tokenStream(java.lang.String fieldName,
                                                                    java.io.Reader reader)

      Creates a `TokenStream` which tokenizes all the text in the provided `Reader`.
      Specified by:
        `tokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Returns:
        A `TokenStream` built from a `StandardTokenizer` filtered with `GreekLowerCaseFilter` and `StopFilter`

    - #### reusableTokenStream

          public org.apache.lucene.analysis.TokenStream reusableTokenStream(java.lang.String fieldName,
                                                                            java.io.Reader reader)
                                                                     throws java.io.IOException

      Returns a (possibly reused) `TokenStream` which tokenizes all the text in the provided `Reader`.
      Overrides:
        `reusableTokenStream` in class `org.apache.lucene.analysis.Analyzer`
      Returns:
        A `TokenStream` built from a `StandardTokenizer` filtered with `GreekLowerCaseFilter` and `StopFilter`
      Throws:
        `java.io.IOException`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.